{
    "三菱PLC-MC":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecMcQna3E"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"number",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"number",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"number",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"NetworkNumber",
            "type":"number",
            "placeholder":"",
            "key":"@NetworkNumber",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入NetworkNumber", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"NetworkStationNumber",
            "type":"number",
            "placeholder":"",
            "key":"@NetworkStationNumber",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入NetworkStationNumber", "trigger": "blur" }
            ]
        },
        {
            "labelName":"IsBinary",
            "type":"select",
            "placeholder":"",
            "key":"@IsBinary",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        }
    ],
    "三菱PLC-MC-R系列":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecMcQna3E"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }   
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        }
    ],
    "三菱PLC-A1E":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecMcQna1E"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"PLCNumber",
            "type":"text",
            "placeholder":"",
            "key":"@PLCNumber",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入PLCNumber", "trigger": "blur" }
            ]
        },
        {
            "labelName":"IsBinary",
            "type":"select",
            "placeholder":"",
            "key":"@IsBinary",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":""
        }
    ],
    "三菱PLC-MC-UDP":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecMcUdpQna3Ec"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"NetworkNumber",
            "type":"text",
            "placeholder":"",
            "key":"@NetworkNumber",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入NetworkNumber", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"NetworkStationNumber",
            "type":"text",
            "placeholder":"",
            "key":"@NetworkStationNumber",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入NetworkStationNumber", "trigger": "blur" }
            ]
        },
        {
            "labelName":"IsBinary",
            "type":"select",
            "placeholder":"",
            "key":"@IsBinary",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":""
        }
    ],
    "三菱PLC-FxSerial":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecFxSerial"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsVersionNew",
            "type":"select",
            "placeholder":"",
            "key":"@IsVersionNew",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"IsActiveOnStart",
            "type":"select",
            "placeholder":"",
            "key":"@IsActiveOnStart",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        }
    ],
    "三菱PLC-FxSerial-OverTcp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecFxSerialOverTcp"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"IsVersionNew",
            "type":"select",
            "placeholder":"",
            "key":"@IsVersionNew",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"IsActiveOnStart",
            "type":"select",
            "placeholder":"",
            "key":"@IsActiveOnStart",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        },
        {
            "labelName":"UseGotConnect",
            "type":"select",
            "placeholder":"",
            "key":"@UseGotConnect",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        }
    ],
    "三菱PLC-FxLinks":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecFxlinks"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":true,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Parity", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SumCheck",
            "type":"select",
            "placeholder":"",
            "key":"@SumCheck",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"WaittingTime",
            "type":"text",
            "placeholder":"",
            "key":"@WaittingTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入WaittingTime", "trigger": "blur" }  
            ]
        }
    ],
    "三菱PLC-A3C":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecA3C"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Parity", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SumCheck",
            "type":"select",
            "placeholder":"",
            "key":"@SumCheck",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"Format",
            "type":"text",
            "placeholder":"",
            "key":"@Format",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Format", "trigger": "blur" }
            ]
        }
    ],
    "三菱PLC-A3C-OverTcp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"MelsecA3COverTcp"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SumCheck",
            "type":"select",
            "placeholder":"",
            "key":"@SumCheck",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"Format",
            "type":"text",
            "placeholder":"",
            "key":"@Format",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Format", "trigger": "blur" } 
            ]
        }
    ],
    "ModbusTcp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"ModbusTcpClient"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsAddressStartWithZero",
            "type":"select",
            "placeholder":"",
            "key":"@IsAddressStartWithZero",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"DataFormat",
            "type":"text",
            "placeholder":"",
            "key":"@DataFormat",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataFormat", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsStringReverse",
            "type":"select",
            "placeholder":"",
            "key":"@IsStringReverse",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"CheckMessageID",
            "type":"select",
            "placeholder":"",
            "key":"@CheckMessageID",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        }
    ],
    "ModbusRtu":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"ModbusRtu"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入PortName", "trigger": "blur" }
            ]
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Parity", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsAddressStartWithZero",
            "type":"select",
            "placeholder":"",
            "key":"@IsAddressStartWithZero",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"DataFormat",
            "type":"text",
            "placeholder":"",
            "key":"@DataFormat",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataFormat", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsStringReverse",
            "type":"select",
            "placeholder":"",
            "key":"@IsStringReverse",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        }
    ],
    "ModbusAscii":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"ModbusAscii"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入PortName", "trigger": "blur" }
            ]
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Parity", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsAddressStartWithZero",
            "type":"select",
            "placeholder":"",
            "key":"@IsAddressStartWithZero",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"DataFormat",
            "type":"text",
            "placeholder":"",
            "key":"@DataFormat",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataFormat", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsStringReverse",
            "type":"select",
            "placeholder":"",
            "key":"@IsStringReverse",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        }
    ],
    "ModbusRtu-OverTcp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"ModbusRtuOverTcp"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsAddressStartWithZero",
            "type":"select",
            "placeholder":"",
            "key":"@IsAddressStartWithZero",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"DataFormat",
            "type":"text",
            "placeholder":"",
            "key":"@DataFormat",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataFormat", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsStringReverse",
            "type":"select",
            "placeholder":"",
            "key":"@IsStringReverse",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        },
        {
            "labelName":"CheckMessageID",
            "type":"select",
            "placeholder":"",
            "key":"@CheckMessageID",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        }
    ],
    "ModbusUdp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"ModbusUdp"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsAddressStartWithZero",
            "type":"select",
            "placeholder":"",
            "key":"@IsAddressStartWithZero",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        },
        {
            "labelName":"DataFormat",
            "type":"text",
            "placeholder":"",
            "key":"@DataFormat",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataFormat", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"IsStringReverse",
            "type":"select",
            "placeholder":"",
            "key":"@IsStringReverse",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"False"
        },
        {
            "labelName":"CheckMessageID",
            "type":"select",
            "placeholder":"",
            "key":"@CheckMessageID",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":false,
            "defaultValue":"True"
        }
    ],
    "西门子设备":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"SiemensS7"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"PlcType",
            "type":"text",
            "placeholder":"",
            "key":"@PlcType",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入PlcType", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Rack",
            "type":"text",
            "placeholder":"",
            "key":"@Rack",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入Rack", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"Slot",
            "type":"text",
            "placeholder":"",
            "key":"@Slot",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入Slot", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"ConnectionType",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectionType",
            "disabled":false,
            "defaultValue":"0",
            "rules":[
                { "required": true, "message": "请输入ConnectionType", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"LocalTSAP",
            "type":"text",
            "placeholder":"",
            "key":"@LocalTSAP",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入LocalTSAP", "trigger": "blur" } 
            ]
        },
        {
            "labelName":"DestTSAP",
            "type":"text",
            "placeholder":"",
            "key":"@DestTSAP",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DestTSAP", "trigger": "blur" } 
            ]
        }
    ],
    "西门子PLC-FW":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"SiemensFW"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        }
    ],
    "西门子PLC-PPI":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"SiemensPPI"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"PortName",
            "type":"text",
            "placeholder":"",
            "key":"@PortName",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入PortName", "trigger": "blur" }
            ]
        },
        {
            "labelName":"BaudRate",
            "type":"text",
            "placeholder":"",
            "key":"@BaudRate",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入BaudRate", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"DataBits",
            "type":"text",
            "placeholder":"",
            "key":"@DataBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入DataBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"StopBits",
            "type":"text",
            "placeholder":"",
            "key":"@StopBits",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入StopBits", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Parity",
            "type":"text",
            "placeholder":"",
            "key":"@Parity",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Parity", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"SleepTime",
            "type":"text",
            "placeholder":"",
            "key":"@SleepTime",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入SleepTime", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" } 
            ]
        }
    ],
    "西门子PLC-PPI-OverTcp":[
        {
            "labelName":"设备类型",
            "type":"text",
            "placeholder":"",
            "key":"@DeviceType",
            "disabled":true,
            "defaultValue":"SiemensPPIOverTcp"
        },
        {
            "labelName":"Name",
            "type":"text",
            "placeholder":"",
            "key":"@Name",
            "disabled":false,
            "defaultValue":"",
            "isShow":true
        },
        {
            "labelName":"Description",
            "type":"text",
            "placeholder":"",
            "key":"@Description",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"CreateTime",
            "type":"time",
            "placeholder":"",
            "key":"@CreateTime",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"InstallationDate",
            "type":"time",
            "placeholder":"",
            "key":"@InstallationDate",
            "disabled":true,
            "defaultValue":""
        },
        {
            "labelName":"WebApiEnable",
            "type":"select",
            "placeholder":"",
            "key":"@WebApiEnable",
            "option":[
                {
                    "label":"True",
                    "value":"True"
                },
                {
                    "label":"False",
                    "value":"False"
                }
            ],
            "disabled":true,
            "defaultValue":"True"
        },
        {
            "labelName":"IpAddress",
            "type":"text",
            "placeholder":"",
            "key":"@IpAddress",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入IpAddress", "trigger": "blur" }
            ]
        },
        {
            "labelName":"Port",
            "type":"text",
            "placeholder":"",
            "key":"@Port",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Port", "trigger": "blur" }  
            ]
        },
        {
            "labelName":"ConnectTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ConnectTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ConnectTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"ReceiveTimeOut",
            "type":"text",
            "placeholder":"",
            "key":"@ReceiveTimeOut",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入ReceiveTimeOut", "trigger": "blur" }
            ]
        },
        {
            "labelName":"DTU",
            "type":"text",
            "placeholder":"",
            "key":"@DTU",
            "disabled":false,
            "defaultValue":""
        },
        {
            "labelName":"Station",
            "type":"text",
            "placeholder":"",
            "key":"@Station",
            "disabled":false,
            "defaultValue":"",
            "rules":[
                { "required": true, "message": "请输入Station", "trigger": "blur" }
            ]
        }
    ]
}
